** CHANGELOG VOOR BEHERENBESTANDEN.PS1 **

Hieronder ziet u de wijzigingen per versie:

Versie 4.6.2
- Bugfixes :
  -	De netwerkmappen werden niet automatisch hersteld. Dit kwam door een klein programmeerfoutje en is aangepast.
  -	Als een andere proces van het script al draaide dan ging het mis bij het updaten.
  	Dit is aangepast. Nu wordt bij de start van het updateproces gecontroleerd of het script al eerder is opgestart.
  	Tevens wordt er een back-up gemaakt voor het updaten en deze teruggezet als het misgaat bij het updaten. 
  -	Na het uitvoeren van een taak lag de focus van het programma niet op de huidige venster. 
  	Hierdoor kon je de toetsenbord niet gebruiken. Dit is hersteld door het indrukken van de tabtoets te simuleren.
  -	Bij de infovenster paste de naam van de installatiemap soms niet als deze te lang was. 
  	Aangepast door het venster van het object groter te maken.

- Overige wijzigingen :
  -	De programma uitvoer, console, kan open gehouden worden na het doorlopen van het initialisatie proces.
  	Dit doe je door in het initialisatie bestand de bijbehorende variabele een andere waarde te geven.
  	Het open houden is handig bij het zoeken naar fouten in het programma. 
  -	Bij de functie Instellingen is voor de afbeelding ingesteld om info tekst weer te geven.
  -	Het navigeren in een venster is aangepast. Met de Escapetoets kan je nu een venster sluiten. 
	Afhankelijk van het venster die geopend is ga je een stap terug of terug naar het hoofdvenster.
  -	Een aantal bestanden en een map die niet worden gebruikt, worden bij de start verwijderd.
  -	Van de tool snelkoppeling_maken is weer een PowerShell-bestand (.ps1) gemaakt. Dit was een uitvoerbaar bestand.
	Dit is gedaan omdat onbekende uitvoerbare bestanden door de Zadkine-systemen worden geblokkeerd en dit bij het
	updaten dan fout gaat.

Versie 4.6.1
- Bugfixes : 
  -	De volgorde om de icoontjes te selecteren met de tabtoetsen stond niet goed ingesteld.
  	Alle vensters zijn gecontroleerd en de volgorde is nu logisch.
  -	Het venster met programma uitvoer, de console, werd soms niet afgesloten en een error werd getoond.
  	Oplossing was het verwijderen van een stukje code dat het venster op de voorgrond bracht.
	Dit stukje bleek overbodig te zijn.

- Overige wijzigingen :
  -	Hoofdscherm is aangepast. Alleen de functies Bestanden klaarzetten en Backup maken hebben een grote icoon. 
  	Andere icoontjes zijn verplaatst en het scherm is iets kleiner.
	De functies verplaatsen en wissen hebben een andere icoontje.
	De help tekst van de hoofdvenster is aangepast met informatie over de nieuwe indeling van de icoontjes.
  -	Bij alle vensters is consequent de tekst 'Terug' en kleur rood gebruikt voor de knop om een venster 
	te sluiten en terug te gaan naar het hoofdvenster.
	Blauwe knoppen worden alleen gebruikt als je een venster niet verlaat.
  -	De tool netwerkschijvencontroleren.exe wordt verwijderd bij de start nu er altijd hersteld wordt.
  -	Venster Verkenner is aangepast om meer informatie over een bestand weer te geven.
	Nu wordt ook het tijdstip dat een bestand voor het laatst gewijzigd is en de grootte weergegeven.
  - 	In het venster met moppen kan je nu aangeven of je ook schuine moppen wilt zien.
  -	In het informatievenster wordt de gebruikte PowerShell versie getoond.

Versie 4.6.0
- Nieuwe functies :
  -	Een nieuwe functie, Verkenner, is toegevoegd waarmee je de bestanden van de studentmappen kan bekijken.
	Deze functie kan dienen als controle na het uitvoeren van een taak.
	In het hoofdscherm zijn een aantal icoontjes verplaatst en het nieuwe icoontje staat links in het midden.
  -	De afbeelding op het hoofdscherm kan je wijzigen. Dit doe je bij functie Instellingen.
	Er zijn 8 bewegende afbeeldingen waar je uit kan kiezen.
	Bij het opstarten wordt automatisch de oude afbeelding "filetransfer.gif" verwijderd.
	Het hoofdvenster is iets groter gemaakt om het nog mooier uit te laten zien.

- Overige wijzigingen :
  -	De moppenbot kan ook schuine moppen laten zien. Deze functie staat standaard uit.
	Bij functie Instellingen kan je dit aanzetten.
  -	Bij functie Instellingen kan je de naam die wordt weergegeven achter Welkom in het hoofdscherm wijzigen.
  -	De beheerinstellingen worden niet meer bewaard en bij het opstarten wordt automatisch het 
	configuratiebestand "beheer.ini" verwijderd.
  -	Een aantal informatieteksten, die je ziet als je op een vraagteken klikt, zijn aangepast en verbeterd.
  -	De Readme- en Changelog bestanden worden lokaal bewaard en niet meer opgehaald van de website.
  	Het Readme-bestand is aangepast met de laatste wijzigingen. 
  -	De manier waarop een locatie kan worden gekozen is nu bij alle functies hetzelfde.
  -	Bij het controleren van de netwerkmappen wordt nu de verbinding automatisch hersteld als deze niet
	beschikbaar is. Daarna wordt de netwerkmap opnieuw gecontroleerd. Dit werkt nu ook als de programma
	mode op "alpha" staat en er gebruik gemaakt wordt van lokale mappen.
  -	De console wordt voortaan alleen afgesloten als de programma mode op prerelease of online staat.
	Zo worden eventuele foutmeldingen tijdens het testen zichtbaar.
  -	Het updateproces is aangepast. Nu wordt bij het uitpakken de bestanden gelijk in de juiste map geplaatst.
	Dit is gedaan zodat eventuele nieuwe submappen van de script altijd worden meegenomen en dus niet voor 
	elke submap dit in de code gewijzigd moet worden.
 

Versie 4.5.3
- Bugfixes : 
  -	Logbestanden worden niet getoond omdat de bestandsnamen worden afgeleid van de inlognaam na aanmelding 
	bij SharePoint. Dit is hersteld door bij de start van het programma de logbestanden die gemaakt zijn 
	zonder personeelsnummer aan te vullen. 

- Overige wijzigingen :
  -	Updaten gebeurt weer bij de start van het programma en via de website beherenbestanden.neveshuis.nl.
	De tweede wijziging is dat er alleen in de map "latest" gezocht wordt naar de laatste versie.
  -	Alle functies die met SharePoint te maken hebben zijn verwijderd.
  -	In het hoofdvenster wordt je nu begroet met "Welkom gebruiker". 
  -	Beheerinstellingen staan vanaf nu alleen lokaal in dezelfde map als het programma. 
	Deze wordt aangemaakt als het niet gevonden is.
  - 	Readme en Changelog worden gedownload van de website en bij het sluiten weer verwijderd.
  - 	Aan het begin wordt niet meer gecontroleerd of de nodige modules aanwezig zijn.
  - 	In het venster met programma-informatie wordt de installatiemap weergegeven.

Versie 4.5.2
- Bugfixes :
  -	Inloggen via MFA is uitgezet omdat deze een foutmelding geeft en het programma niet meer opstart.
	Op verschillende plaatsen is met de # stukjes tekst naar commentaar omgezet.
  	Er is geen code verwijderd!
	Alles functies die met SharePoint te maken hebben werken niet.

- Overige wijzigingen :
  -	Enkele tekstuele fouten eruit gehaald. Het woord "geselecterde" bij functie Bestanden klaarzetten 
	en het woord "Progammeur" bij functie informatieprogramma, aangepast.
  -	Tekst bij functie Bestanden klaarzetten gewijzigd van "Inhoud examenmap" naar 
	"Geselecteerde mappen en bestanden".
  -	Omdat je niet meer hoeft in te loggen is de optie om af te melden eruit gehaald.
  -	Automatisch updaten is uitgezet omdat er geen verbinding is met SharePoint.
  -	Het ophalen van Readme en Changelog is uitgezet. Deze worden meegenomen met de update en bij het
	afsluiten van het programma niet verwijderd. De functie "Informatie over het programma" blijft dus 
	gewoon werken.

Versie 4.5.1
- Bugfixes :
  -	Console wordt nu afgesloten i.p.v. verplaatst naar de taakbalk. Dit is zoals het hoort te werken.

- Overige wijzigingen : 
  -	Updates worden gedownload van Sharepoint ipv de website. 
	Updaten gebeurt nu gelijk na het inlezen van de beheerinstellingen.
  	Beheerder kan de mode 'update' instellen' om de updates te testen. 
  -	Beheerinstellingen worden niet meer verwijderd na het inlezen en blijven dus lokaal nog aanwezig.
  -	Als inloggen niet lukt omdat de RPC-Sharepoint is verbroken wordt nu de Zadkine-Sharepoint geprobeerd.
  	Als je hier wel kan inloggen kan je het programma gebruiken met beperkingen.
  	Dit lees je in het bericht dat verschijnt na inloggen.
  -	Bij het uitvoeren van taken krijg je voor het wissen van bestanden een extra controle of je het zeker weet.
  -	Enkele kleine tekstuele aanpassingen gedaan in de weer te geven teksten bij het opstarten.
  -	De hoofdtaken Verplaatsen en Wissen zijn van plaats verwisseld.
  -	De changelog en readme teksten, voor de functie Informatie over programma, worden opgehaald van SharePoint.
  	Deze worden gedownload bij start programma en verwijderd bij afsluiten.
  	Readme.txt is aangepast aan de laatste wijzigingen.
  -	Bij het loggen van een taak is de volgorde van weer te geven tekst veranderd. 
  	De extra regel met info komt nu voor de rpc-nummers.
  -	De script Netwerkschijvencontroleren.ps1 is aangepast en wordt voortaan meegenomen met de update.
	Deze en Snelkoppeling_maken script hebben beide de extensie .exe waardoor ze te starten zijn door erop 
	te dubbelklikken.
  -	Enkele oude tools en bestanden worden verwijderd bij de start van het programma.

Versie 4.5.0
- Nieuwe functies :
  -	Je moet nu inloggen om toegang te krijgen tot het programma. 
	Inloggen doe je via de MFA van Microsoft en je kan automatisch inloggen met je eigen werk-account.
  -	Als je bent ingelogd worden je instellingen en logbestanden onder je eigen account bewaard.
	Je kan niet de instellingen of logbestanden van andere gebruikers inzien of wijzigen.
	Ook bij het opschonen van logbestanden worden alleen de eigen logbestanden opgeschoond.
	Je ziet nu je naam staan in het hoofdvenster met een begroeting.
  -	Als je nu op de knop afsluiten klikt krijg je de optie om af te melden of af te sluiten.
	Als je je afmeldt kom je terug in de inlogscherm van Microsoft.
  -	Een aantal beheerinstellingen worden op de RPC-Sharepoint bewaard en na het inloggen opgehaald.

- Bugfixes :
  -	Een aantal informatieteksten die je krijgt als je met de muis over een icoontje gaat zijn aangepast.
  -	Bij functie Opschonen wordt nu gecontroleerd of de backup-map aanwezig is. 
  	Deze beveiliging zat er niet in en zorgde ervoor dat het opstarten van de functie lang duurde.
  -	Het programma controleert of de netwerkschijven bestaan en verbindt opnieuw als het nodig is.
	Dit zorgt ervoor dat de verbindingen met de L- en B-schijven automatisch worden hersteld.
	Windows wilt wel eens de netwerkverbindingen verbreken als de laptop lang niet gebruikt is.
	Een apart scriptje genaamd "netwerkschijvencontroleren.ps1" is gemaakt die alleen de netwerkschijven 
	hersteld. Deze is te vinden in de submap Tools in SharePoint.

- Overige wijzigingen : 
  -	Het venster met een grap/ weetje of advies geeft nu alleen moppen in het Nederlands.
	Een knop is toegevoegd om een volgende mop te genereren.
	De tekst in het venster heeft geen blauwe achtergrond meer en een scroll-bar is toegevoegd waardoor 
	het duidelijker is wanneer de tekst niet in het vakje past en je dus naar beneden moet scrollen.
  -	Bij de instellingen kan je niet meer de updates uit zetten en het aantal dagen voor automatische 
	verwijderen van backups wijzigen.
  -	De script Updater.ps1 is niet meer nodig omdat het programma nu zichzelf kan updaten.
	Voor oudere versies is de script nog wel meegenomen in de update en aangepast om op een
	verbeterde manier de hoofdprogramma op te starten na de update.
	Na het updaten krijg je een melding dat de update is voltooid en moet je op OK klikken om door te gaan.
	Je krijgt bij de start van het programma geen melding meer als programma up to date is.
  -	In de logbestanden zie je vanaf nu de nieuwste logs bovenaan.
  -	Een beveiliging is toegevoegd zodat je het aantal dagen voor het verwijderen van de logbestanden niet 
	op 0 kan instellen.
  -	Het programma kan door een beheerder de status 'testfase' krijgen.
	Als het programma is de testfase is verschijnt er bij het opstarten een info-venster.
  -	Het programma zoekt bij de start niet meer naar een update voor pnp.powereshell.
  -	Het script initialisatiebestandmaken.ps1 is aangemaakt om initialisatiebestand te maken met 
	beheerinstellingen. Dit bestand staat in de submap Tools in SharePoint.
  -	Bij de start van het programma zie je de powershell console en krijg je hier informatie over 
	de processen die worden uitgevoerd. Het venster met informatie verschijnt niet meer. 
	De console wordt na het inloggen en enkele meldingen weer afgesloten.
	De script snelkoppeling_maken.ps1 is aangepast en bij updater.ps1 wordt de script snelkoppeling_maken.ps1 
	aangeroepen om deze wijziging door te voeren in de snelkoppeling op het bureaublad.
  -	Readme.txt is aangepast aan de laatste wijzigingen.

Versie 4.4.1
- Bugfixes :
  -	Het opschonen duurt lang en het programma reageert even niet als er veel bestanden zijn.
	Uiteindelijk loopt het programma wel door en wordt alles opgeschoond.
	Dit probleem is opgelost door dit door een aparte proces te laten uitvoeren (runspaces).

- Overige wijzigingen : 
  -	Layout in het venster Bestanden overzetten is veranderd. In de twee vensters zie je nu duidelijk of
	een item een bestand is of een map. Dit is gedaan door er een icoontje ervoor te laten zien.
	De huidige geselecteerde examenmap zie je in een venster boven de twee hiervoor genoemde vensters. 
	Deze drie vensters vormen een geheel.
	De twee icoontjes voor Terug en Home zijn verplaatst naar naast de RPC-nummers.
  -	Functie en layout van venster Opschonen is gewijzigd. Nu kan je alleen maar backupbestanden wissen.
	Je ziet bij het openen van de venster meteen welke backups gewist gaan worden.
	Het aantal dagen kan je nog steeds wijzigen en met een knop Opnieuw inlezen wordt het overzicht vernieuwd.
	Een extra controle, of je wilt doorgaan, vindt plaats als je op Bevestigen klikt.
  -	Tekst die aangeeft welke taak is uitgevoerd en naar het logbestand schrijft, is aangepast.
  -	Het venster met het overzicht van de uit te voeren taken is aangepast en nu duidelijker.
  -	Het is niet meer mogelijkheid om aan te geven of een bepaalde versie niet meer wordt geupdatet.
  -	De optie om een notificatie te geven voor updates (bij Venster Instellingen) is verwijderd.
  -	De website waar de updates staan is gewijzigd naar : https://beherenbestanden.neveshuis.nl.
  -	Het standaard icoontje (linksboven in programma) is nu hetzelfde als snelkoppeling-icoon (beheren.ico).
  -	Readme.txt is aangepast met wijzigingen over snelkoppeling, nieuw URL en functie Opschonen logs.

Versie 4.4.0
- Nieuwe functies :
  -	Bij de functie 'Bestanden overzetten' zie je nu alle bestanden en mappen in het middelste venster.
	Op de examenmappen kan je dubbelklikken om deze te openen en zo te bladeren door alle examenmappen.
	Het aantal niveaus in de examenmappen is niet meer beperkt tot drie.
	Je kan tot met de laatste map openen en bestanden hierin selecteren.
	Dit is handig als we gaan werken met meerdere varianten en contexten van een examen.
	Om te bladeren in de mappenstructuur zijn twee icoontjes toegevoegd. 
	Een om een stap terug te gaan en een om opnieuw te beginnen.
	De optie om de crebonummer, kerntaak of examen te selecteren via een dropdownmenu blijft bestaan.
  -	Als je op de afbeelding klikt in het hoofdmenu krijg je een venster met een leuke weetje, grap of advies.

- Bugfixes :
  -	Door een tijdelijke wijziging in het netwerk van Zadkine, werden bestanden niet goed gedownload.
	De bestanden werden als html gedownload in plaats van als tekstbestand.
	Er wordt nu een controle uitgevoerd bij het updateproces om deze wijziging, mocht dit weer voorkomen, te omzeilen.
  -	De tekst onder de taken 'Bestanden klaarzetten' en 'Backup' zijn niet meer klikbaar.
  -	De volgorde van de Tab-toetsen stond niet goed bij de vensters 'logboek' en 'bestanden overzetten'.

- Overige wijzigingen : 
  -	De functie om handmatig te updaten via de hoofdscherm is verwijderd. Enkele icoontjes zijn verplaatst om een nette 
	overzicht te behouden. Het programma update nu alleen automatisch als dit bij instellingen is ingesteld.
  -	Bij het uitvoeren van een taak komt de taaknaam nu ook in de titelbalk van het venster.

Versie 4.3.2
- Overige wijzigingen :
  -	Bij het maken van een backup wordt de mapnaam nu aangemaakt met de tijdstip erin verwerkt.
	Er is gekozen voor de volgende format : Datum__Tijd. De tijd wordt weergegeven in uren, minuten en seconden.
	Er wordt niet meer gecontroleerd of er al een backup is gemaakt omdat het onmogelijk is om binnen 1 seconde
	weer een backup te maken.

Versie 4.3.1
- Bugfix :
  -	Lange bestandsnamen geven geen problemen meer bij het backuppen, wissen of verplaatsen van bestanden.

- Overige wijzigingen : 
  -	Bij het kopieren wordt standaard nieuwe bestanden toegevoegd aan de studentmappen. 
   	Er wordt niet meer gevraagd wat te doen als er al bestanden aanwezig zijn.

Versie 4.3.0
- Nieuwe functies : 
  -	Bij de vensters waar het nodig is, is een vraagteken geplaatst waarmee uitleg wordt gegeven over 
	het programma. De tekst met uitleg verschijnt als op het vraagtekentje wordt geklikt.
	Nu wordt er minder tekst weergegeven omdat het vraagteken in alle uitleg voorziet.
  - 	Bij de vensters waar het nodig is, verschijnt bij elke object (knop, veld of vakje) tekst met uitleg als je 
	met de muiscursor overheen gaat.
  -	Bij venster instellingen kan je instellen hoeveel dagen de logbestanden en backups bewaard blijven.
  -	Logbestanden worden verwijderd bij de start van het programma als dit is ingesteld bij venster instellingen.

- Bugfixes : 
  -	Bestaande bestanden worden overschreven als je bij de taak Overzetten bestanden worden gevonden 
	in de studentenmappen en je ervoor kiest om deze te behouden. 
	Dit is een logischer proces, is duidelijker en geeft minder foutmeldingen.
  -	Vensters op de achtergrond bleven zichtbaar na het uitvoeren van een taak en soms kon je niet meer terug naar
  	het overzicht. Opgelost door voor het uitvoeren de vensters te verbergen en alleen bij de taak Kopi ren weer 
	zichtbaar te maken na het uitvoeren.

- Overige wijzigingen : 
  -	Layout van de vensters aangepast. 
	De vier hoofdtaken hebben een groter icoontje en een groene achtergrond.
	Overige taken zijn naar de linker- en rechterkant verplaatst.
	Alle vensters hebben een wit achtergrond, kunnen niet meer van grootte veranderd worden en niet meer
	gemaximaliseerd worden.
	Kleine layout-aanpassingen gedaan bij het venster die het uitvoeren van de taken weergeeft.
  -	De rpc-nummers voor locatie PAL is gewijzigd naar 1 t/m 60.
	
Versie 4.2.2
- Bugfixes :
  -	Probleem dat de script niet reageert opgelost door dit door een aparte proces te laten uitvoeren (runspaces).
  -	Probleem met toevoegen van nieuwe variabelen en verwijderen van oude is opgelost.
	Een methode is gevonden om variabelen in te lezen vanuit een bestand, de standaardwaarden te behouden, 
	gewijzigde waarden door te voeren en verwijderde waarden te verwijderen. 
	Hiervoor is het nodig om de naam van het initialisatiebestand aan te passen. Deze heet nu "initialisatie.ini". 
	De optie om een variabele toe te voegen na een update is verwijderd. Dit is nu niet meer nodig.

- Overige wijzigingen : 
  -	Alle foutmeldingen en infomeldingen worden getoond met een venster met 1 of 2 knoppen. Deze knoppen
 	hebben de kleur groen voor Ok en rood voor Annuleren.
  -	Enkele schoonheidsfoutjes eruit gehaald : 
	a) de tekst die wordt weergegeven als een update is uitgevoerd.
	b) de tekst die wordt weergegeven als een taak wordt uitgevoerd.
	c) fouten in de namen van de locaties.
  -	De tekst die wordt weergegeven in de vensters van de hoofdtaken zijn aangepast. Het e.e.a. is verduidelijkt.

Versie 4.2.1

- Overige wijzigingen : 
  -	De initialisatiebestand heeft nu de naam 'gebruiker.ini' i.p.v. 'config.ini'. 
	De locaties worden niet meer in de initialisatiebestand bewaard.
  - 	De tekst bij bestanden overzetten, als er bestanden zijn in studentmap, is veranderd.
	Het e.e.a. is verduidelijkt.
  - 	Layout venster informatieprogramma is gewijzigd.
  -	De changelog bevat nu alleen functionele informatie. 
	De technische changelog is alleen beschikbaar voor het developmentteam.

Versie 4.2.0

- Neuwe functies : 
  -	Een knop is toegevoegd om de functie Informatie over het programma te openen.
  	Je krijgt wat algemene informatie te zien en in een vakje eronder kan je de readme.txt of de changelog
  	bekijken. Met een knop wissel je tussen de readme.txt en de changelog.
  -	Een knop is toegevoegd om de taak opschonen te starten. Je kan kiezen tussen het opschonen
  	van de backups en het opschonen van de logbestanden. Standaard wordt voor de backups 730 dagen en voor de
  	logbestanden 365 dagen aangegeven. Deze dagen kan je nog wijzigen.
  	Als je de taak start dan wordt er eerst gekeken hoeveel bestanden er wordt verwijderd en krijg je een overzicht 
  	te zien. Vervolgens wordt gevraagd of je het zeker weet dat je door wilt gaan.
  	Het opschonen wordt in de logbestanden gelogd.
  - 	Bij de taak logbestanden bekijken kan je filteren op jaar en maand.
  -	Een knop is toegevoegd om de functie instellingen te openen. Hiermee kan je gebruikers-instellingen
  	wijzigen en kunnen de standaardinstellingen hersteld worden.
  - 	Na het updaten worden de bewerkingen na een update, die zijn ingesteld voor een bepaalde versie in
  	het bestand updateinfo, uitgevoerd.

- Bugfixes : 
  -	Als je de taak backup wilt uitvoeren zag je in het overzicht voor het uitvoeren de tweede regel
  	met extra informatie niet. De tweede regel is nu wel zichtbaar.
  - 	Als je de taak backup uitvoert, een backup-map bestaat al en je kiest om een keuze te herhalen 
  	dan zag je in het logbestand een herhaling van de tekst "u heeft gekozen deze keuze te herhalen". 
	Nu zie je dit eenmaal.
  - 	In het venster Informatie over het programma wordt het laden van de informatie in het vakje nu 
  	sneller gedaan. Er is geen hapering meer.
  - 	Na het updaten werd een foutmelding weergegeven omdat een afbeelding in de map PNG nog in het
  	geheugen aanwezig is deze dan niet geupdate kan worden. De foutmelding wordt niet meer weergegeven.

- Overige wijzigingen : 
  -	Bij de taak verplaatsen is de keuze tussen de taken verplaatsten en kopi ren nu in een dropdown-menu gezet.
  - 	Layout van de vensters zijn aangepast en enkele foutjes zijn eruit gehaald.
  	De keuze is gemaakt om de kleur groen te gebruiken voor klikbaar tekst en blauw voor informatie-tekst.
  	In het venster met uitvoeren van de taken is de progressie-bar verplaatst naar boven.

Versie 4.1.0

- Nieuwe functies : 
  -	Bij de taken kopieren, backup en verplaatsen wordt gecontroleerd of de doelmap inhoud heeft en 
  	een actie gevraagd van de gebruiker. Je kan de actie dan toepassen voor alle studentmappen. 
  	Dit wordt ook gelogd in het logbestand.
  - 	Bij de taak verplaatsten is een optie toegevoegd om de bestanden in de doelmap te legen.
   	Deze is standaard aangevinkt.

- Overige wijzigingen : 
  - 	De meldingen in het logbestand worden nu per regel weergegeven. Elke melding begint met [ FOUT ] 
  	als dit een foutmelding is of [ INFO ] als het alleen informatief is. Voor de taken kopi ren, backup en wissen
  	wordt nog extra informatie gegeven in het logbestand en de starttijd van een taak wordt nu als eerst weergegeven.

Versie 4.0.0

- Eerste officiele versie van nieuwe "Beherenbestanden". 
  -	Deze versie is gemaakt met PowerShell en is niet via de oude versie (3.7.18) te updaten 
	maar wel via een pre-release (3.9.6 en 3.9.7). 
- Met het programma kunnen de volgende hoofdtaken worden uitgevoerd:
  - 	bestanden klaarzetten in de studentmappen
  - 	backup maken van de studentmappen
  - 	wissen van bestanden in de studentmappen
  - 	verplaatsen of kopieren van bestanden tussen studentmappen.
- En de volgende overige taken:
  - 	logbestand bekijken met informatie over de uitgevoerde taken
  - 	het programma updaten.


